Subject: [TLS] New Version Notification for draft-bzwu-tls-client-keyshare-01.txt

From: "Bingzheng Wu" <[email-masked]>
Date: Thu, 07 May 2015 10:00:42 +0800

Hi All,

I have updated draft-bzwu-tls-client-keyshare document to version-01.
Aaron Zauner's editorial comments pull request was merged, and the article's structure was changed following Aaron Zauner's advices.

https://datatracker.ietf.org/doc/draft-bzwu-tls-client-keyshare/

Please kindly review it. Any comments are welcomed to the github:

https://github.com/alibaba/client-keyshare

I will put the client-keyshare's patch based on OpenSSL-1.0.2 to the github, if helpful.

Thanks and best regards,
Bingzheng Wu

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, May 07, 2015 9:51 AM
> To: Bingzheng Wu; Bingzheng Wu
> Subject: New Version Notification for draft-bzwu-tls-client-keyshare-01.txt
> 
> 
> A new version of I-D, draft-bzwu-tls-client-keyshare-01.txt
> has been successfully submitted by Bingzheng Wu and posted to the IETF
> repository.
> 
> Name:		draft-bzwu-tls-client-keyshare
> Revision:	01
> Title:		Transport Layer Security (TLS) Client Keyshare Extension
> Document date:	2015-05-05
> Group:		Individual Submission
> Pages:		6
> URL:
> https://www.ietf.org/internet-drafts/draft-bzwu-tls-client-keyshare-01.txt
> Status:
> https://datatracker.ietf.org/doc/draft-bzwu-tls-client-keyshare/
> Htmlized:       https://tools.ietf.org/html/draft-bzwu-tls-client-keyshare-01
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-bzwu-tls-client-keyshare-01
> 
> Abstract:
>    This document defines an extension that allows a TLS client to carry
>    Diffie-Hellman (DH) keyshares in ClientHello message, replacing the
>    ClientKeyExchange message in the second round-trip, to reduce the
>    full handshake latency to one network round-trip time (RTT).
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat